%global momorel 6

Summary:       FreeBoB firewire audio driver library
Name:          libfreebob
Version:       1.0.11
Release:       %{momorel}m%{?dist}
License:       GPL
Group:         System Environment/Libraries
URL:           http://freebob.sourceforge.net/
Source0:       http://surfnet.dl.sourceforge.net/sourceforge/freebob/%{name}-%{version}.tar.gz
NoSource:      0
Patch1:        %{name}-%{version}-gcc43.patch
Patch2:	       %{name}-%{version}-gcc44.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: alsa-lib-devel
BuildRequires: libavc1394-devel >= 0.5.3
BuildRequires: libiec61883-devel >= 1.1.0
BuildRequires: libraw1394-devel >= 2.0.2
BuildRequires: libxml2-devel
BuildRequires: pkgconfig

%description
libfreebob implements a userland driver for BeBoB-based fireware audio
devices.

%package devel
Summary: Libraries, includes etc to develop with libfreebob
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries, includes etc to develop with libfreebob.

%prep
%setup -q

%patch1 -p1 -b .gcc43~
%patch2 -p1 -b .gcc44~

%build
%configure --disable-static
make %{?_smp_mflags} 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la file
rm -f %{buildroot}%{_libdir}/*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libfreebob.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libfreebob
%{_libdir}/pkgconfig/libfreebob.pc
%{_libdir}/libfreebob.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.11-6m)
- full rebuild for mo7 release

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.11-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun May 31 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.11-4m)
- rebuild against libraw1394-2.0.2

* Wed Jan 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.11-3m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.11-2m)
- rebuild against rpm-4.6

* Wed Jun 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.11-1m)
- version 1.0.11
- update gcc43.patch
- sort %%files
- clean up spec file

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.3-3m)
- rebuild against gcc43

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.3-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Sat Jul  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.3-1m)
- import from f7 to Momonga

* Thu Mar 15 2007 Anthony Green <green@redhat.com> 1.0.3-1
- Upgrade sources to 1.0.3.

* Sat Oct 21 2006 Anthony Green <green@redhat.com> 1.0.0-3
- Remove %%doc line from devel package.
- Remove trailing '.' from devel package summary.

* Wed Oct 11 2006 Anthony Green <green@redhat.com> 1.0.0-2
- Use upstream tarball release, not svn 1.0 release.
- Tweak %%files.
- Tweak libiec61883 build requirements in configure script.
- Don't generate configure script and remove some autotools dependencies.

* Sat Sep  9 2006 Anthony Green <green@redhat.com> 1.0-1
- Created.
